"The installed Rewire version is too old for this impl..."

Discussion of music production, audio, equipment and any related topics, either with or without Ableton Live
Post Reply
nz
Posts: 262
Joined: Thu Nov 20, 2003 2:19 pm
Location: Cleveland, Ohio

"The installed Rewire version is too old for this impl..."

Post by nz » Tue Jul 10, 2012 10:56 pm

Every time I open Live (8.3.3) I get this error message:

"The installed Rewire version is too old for this implementation. No Rewire slaves will be available"

What is this all about? I have the latest version of Live. What can I do to fix this?

Thanks so much!
MacBook Pro/Mac Mini
Ableton Live 10

cids
Posts: 480
Joined: Fri Jul 16, 2004 5:53 pm
Location: Amsterdam, Netherlands

Re: "The installed Rewire version is too old for this impl..."

Post by cids » Wed Jul 11, 2012 8:27 am

Which Reason version do you have installed?
Mac Pro 2.66Ghz Quad-Core

Genelec 8020; Live 10; macOS Mojave 10.14

Novation ReMOTE 49SL Compact, Focusrite Saffire Pro 14

nz
Posts: 262
Joined: Thu Nov 20, 2003 2:19 pm
Location: Cleveland, Ohio

Re: "The installed Rewire version is too old for this impl..."

Post by nz » Wed Jul 11, 2012 12:04 pm

Actually, I don't have Reason installed anymore. Could this be it? Might I need to take a file off my Macbook to resolve this issue?
MacBook Pro/Mac Mini
Ableton Live 10

timothyallan
Posts: 5788
Joined: Wed Nov 24, 2004 11:05 pm
Location: Melbourne Australia
Contact:

Re: "The installed Rewire version is too old for this impl..."

Post by timothyallan » Wed Jul 11, 2012 12:19 pm

Running cracked Waves plugins will do this.

nz
Posts: 262
Joined: Thu Nov 20, 2003 2:19 pm
Location: Cleveland, Ohio

Re: "The installed Rewire version is too old for this impl..."

Post by nz » Wed Jul 11, 2012 12:27 pm

No issue with Waves plugs here.
MacBook Pro/Mac Mini
Ableton Live 10

cids
Posts: 480
Joined: Fri Jul 16, 2004 5:53 pm
Location: Amsterdam, Netherlands

Re: "The installed Rewire version is too old for this impl..."

Post by cids » Wed Jul 11, 2012 7:08 pm

Found this:



Eventually you have an outdated ReWire.lib in this path
/Library/Application Support/ReWire
Could you check which version it is? (select it and choose "get info" from the Finder).

Also, make sure to use the latest Reason update.
Mac Pro 2.66Ghz Quad-Core

Genelec 8020; Live 10; macOS Mojave 10.14

Novation ReMOTE 49SL Compact, Focusrite Saffire Pro 14

jdsm1984
Posts: 2
Joined: Sat May 05, 2012 12:46 pm

Re: "The installed Rewire version is too old for this impl..."

Post by jdsm1984 » Sun Feb 17, 2013 5:29 am

i am having the same problem and i found what i hope is the problem
/Library/Application Support/Propellerhead Software/Rex/REX Shared Library.bundle
which i found out has to do with slaving reason through ableton which right now has no us to me so i deleted everything except the ableton engine i noticed Propellerhead folder before and wasn't able to find a rewire folder until i saw one post about waves, and i ook in the waves rewire folder and thats what led to propeller head and yeah probably what caused this and a few other problem, i ve only been using ableton for 8 months or any daw actually and starting to think having a few nice plugins might no t be worth it. i can't tell if is my computer,the daw, the vst's or me making everything ive paid good money for seem like a pile of stemming shit..... but one of the first things i was instructed to do was download waves. meaning ive never not had it in ableton....... would it cause multiple multiple problems ???

Post Reply